main()
{
	level thread precacheFX();
	level thread ambientFX();
}

precacheFX()
{
	level._effect["fogbank_small_duhoc"] = loadfx ("fx/misc/fogbank_small_duhoc.efx");
	level._effect["battlefield_smokebank_S"] = loadfx ("fx/smoke/battlefield_smokebank_S.efx");
	level._effect["thin_black_smoke_M"] = loadfx ("fx/smoke/thin_black_smoke_M.efx");
	level._effect["smoke_plumeBG"] = loadfx ("fx/smoke/smoke_plumeBG.efx");
	level._effect["thin_light_smoke_M"] = loadfx ("fx/smoke/thin_light_smoke_M.efx");
	level.scr_sound["flak88_explode"] = "flak88_explode";
}

ambientFX()
{
	//loop sounds
	maps\mp\_fx::loopSound("mp_vik1truck_idle", (-1440.0, -1744.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1truck_idle", (448.0, -1784.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1truck_idle", (1560.0, -2200.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1truck_idle", (2128.0, -1688.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1truck_idle", (3624.0, -1968.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1emt_oceanwaves_1", (-488.0, -1750.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1emt_oceanwaves_1", (3416.0, -1750.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1mrk_wave_crashing_13", (1568.0, -768.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1mrk_wave_crashing_13", (-872.0, -768.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1mrk_wave_crashing_13", (3416.0, -768.0, 240.0));
	maps\mp\_fx::loopSound("mp_vik1tank_02_idle", (1304.0, 16.0, 530.0));
	maps\mp\_fx::loopSound("mp_vik1elm_windgust10", (1624.0, 4096.0, 1800.0));
	maps\mp\_fx::loopSound("mp_vik1elm_windgust10", (-1528.0, 4416.0, 1500.0));
	maps\mp\_fx::loopSound("mp_vik1elm_windgust10", (4624.0, 3512.0, 1500.0));

	//fogbanks
	maps\mp\_fx::loopfx("fogbank_small_duhoc", (1584.0,-2664.0,248.0), 2, (1584.0,-2664.0,328.0));
	maps\mp\_fx::loopfx("fogbank_small_duhoc", (3300.0,-2664.0,248.0), 2, (3300.0,-2664.0,348.0));
	maps\mp\_fx::loopfx("fogbank_small_duhoc", (300.0,-2664.0,248.0), 2, (300.0,-2664.0,348.0));

	//smokebanks
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (500.0,-512.0,248.0), 1, (500.0,-512.0,348.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (1296.0,-512.0,248.0), 1, (1296.0,-512.0,348.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (2000.0,-512.0,248.0), 1, (2000.0,-512.0,348.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (-1448.0,3944.0,1050.0), 0.8, (-1448.0,3944.0,1150.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (1584.0,2032.0,248.0), 1, (1584.0,2032.0,348.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (200.0,2032.0,248.0), 1, (200.0,2032.0,348.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (3300.0,2032.0,248.0), 1, (3300.0,2032.0,348.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (1632.0,2944.0,376.0), 1, (1632.0,2944.0,476.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (1296.0,56.0,255), 1, (1296.0,56.0,355));
	maps\mp\_fx::loopfx("thin_light_smoke_M", (1080.0,1536.0,144.0), 0.6, (1080.0,1536.0,244.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (-1544.0,1104.0,144.0), 0.6, (-1544.0,1104.0,244.0));
	maps\mp\_fx::loopfx("thin_light_smoke_M", (1544.0,1064.0,144.0), 0.6, (1544.0,1064.0,244.0));	
	maps\mp\_fx::loopfx("thin_light_smoke_M", (2584.0,1160.0,144.0), 0.6, (2584.0,1160.0,244.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (4136.0,728.0,144.0), 0.6, (4136.0,728.0,244.0));
	maps\mp\_fx::loopfx("thin_light_smoke_M", (-1512.0,2704.0,280.0), 0.6, (-1512.0,2704.0,380.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (3096.0,3096.0,280.0), 0.6, (3096.0,3096.0,380.0));
	maps\mp\_fx::loopfx("thin_light_smoke_M", (704.0,5584.0,952.0), 0.6, (704.0,5584.0,1052.0));
	maps\mp\_fx::loopfx("thin_light_smoke_M", (2288.0,5448.0,952.0), 0.6, (2288.0,5448.0,1052.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (-3880.0,-1112.0,210.0), 0.6, (-3880.0,-1112.0,310.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (-1600.0,6700.0,1336.0), 0.6, (-1500.0,6500.0,1436.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (2256.0,8688.0,1312.0), 0.6, (2256.0,8688.0,1412.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (5832.0,4488.0,1240.0), 0.6, (5832.0,4488.0,1340.0));

	//ground smoke
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (1016.0,6200.0,1125.0), 1, (1016.0,6200.0,1236.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (640.0,4112.0,1125.0), 1, (640.0,4112.0,1236.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (2616.0,7312.0,1125.0), 1, (2616.0,7312.0,1236.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (4032.0,6976.0,1125.0), 1, (4032.0,6976.0,1236.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (992.0,4832.0,1115.0), 1, (992.0,4832.0,1225.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (3688.0,4040.0,1125.0), 1, (3688.0,4040.0,1236.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (-600.0,5568.0,1150.0), 1, (-600.0,5568.0,1250.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (4592.0,3864.0,1125.0), 1, (4592.0,3864.0,1236.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (2448.0,4216.0,1125.0), 1, (2448.0,4216.0,1236.0));
	maps\mp\_fx::loopfx("battlefield_smokebank_S", (3440.0,5528.0,1125.0), 1, (3440.0,5528.0,1236.0));

	//more smoke
	maps\mp\_fx::loopfx("thin_black_smoke_M", (-920.0,-1128.0,210.0), 1, (-912.0,-1128.0,270.0));
	maps\mp\_fx::loopfx("thin_black_smoke_M", (3280.0,-872.0,210.0), 1, (3280.0,-872.0,270.0));
}
